Index: ./lang/python21/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python21/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./lang/python21/buildlink3.mk	14 Nov 2005 22:53:09 -0000	1.5
+++ ./lang/python21/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	python21
 
 .if !empty(PYTHON21_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.python21+=	python21>=2.1
+BUILDLINK_API_DEPENDS.python21+=	python21>=2.1
 BUILDLINK_PKGSRCDIR.python21?=	../../lang/python21
 
 .if defined(BUILDLINK_DEPMETHOD.python)
Index: ./lang/python22/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python22/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./lang/python22/buildlink3.mk	14 Nov 2005 22:53:09 -0000	1.5
+++ ./lang/python22/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	python22
 
 .if !empty(PYTHON22_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.python22+=	python22>=2.2
+BUILDLINK_API_DEPENDS.python22+=	python22>=2.2
 BUILDLINK_PKGSRCDIR.python22?=	../../lang/python22
 
 .if defined(BUILDLINK_DEPMETHOD.python)
Index: ./lang/python23/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python23/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./lang/python23/buildlink3.mk	5 Feb 2006 23:09:47 -0000	1.9
+++ ./lang/python23/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	python23
 
 .if !empty(PYTHON23_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.python23+=	python23>=2.3
-BUILDLINK_RECOMMENDED.python23?=	python23>=2.3.5nb6
+BUILDLINK_API_DEPENDS.python23+=	python23>=2.3
+BUILDLINK_ABI_DEPENDS.python23?=	python23>=2.3.5nb6
 BUILDLINK_PKGSRCDIR.python23?=	../../lang/python23
 
 .if defined(BUILDLINK_DEPMETHOD.python)
Index: ./lang/python23-nth/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python23-nth/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/python23-nth/buildlink3.mk	5 Feb 2006 23:09:47 -0000	1.3
+++ ./lang/python23-nth/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	python23-nth
 
 .if !empty(PYTHON23_NTH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.python23-nth+=	python23-nth>=2.3.4
-BUILDLINK_RECOMMENDED.python23-nth?=	python23-nth>=2.3.5nb4
+BUILDLINK_API_DEPENDS.python23-nth+=	python23-nth>=2.3.4
+BUILDLINK_ABI_DEPENDS.python23-nth?=	python23-nth>=2.3.5nb4
 BUILDLINK_PKGSRCDIR.python23-nth?=	../../lang/python23-nth
 
 .if defined(BUILDLINK_DEPMETHOD.python)
Index: ./lang/python24/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/python24/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/python24/buildlink3.mk	5 Feb 2006 23:09:47 -0000	1.3
+++ ./lang/python24/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	python24
 
 .if !empty(PYTHON24_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.python24+=	python24>=2.4
-BUILDLINK_RECOMMENDED.python24?=	python24>=2.4.2nb4
+BUILDLINK_API_DEPENDS.python24+=	python24>=2.4
+BUILDLINK_ABI_DEPENDS.python24?=	python24>=2.4.2nb4
 BUILDLINK_PKGSRCDIR.python24?=	../../lang/python24
 
 .if defined(BUILDLINK_DEPMETHOD.python)
Index: ./lang/ruby/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/ruby/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./lang/ruby/buildlink3.mk	2 Nov 2005 07:44:02 -0000	1.6
+++ ./lang/ruby/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -16,8 +16,8 @@
 
 .if !empty(RUBY_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.${RUBY_BASE}?=	${RUBY_BASE}>=${RUBY_REQD}
-BUILDLINK_RECOMMENDED.${RUBY_BASE}?=	${RUBY_BASE}>=${RUBY_VERSION}
+BUILDLINK_API_DEPENDS.${RUBY_BASE}?=	${RUBY_BASE}>=${RUBY_REQD}
+BUILDLINK_ABI_DEPENDS.${RUBY_BASE}?=	${RUBY_BASE}>=${RUBY_VERSION}
 BUILDLINK_PKGSRCDIR.${RUBY_BASE}?=	../../lang/${RUBY_BASE}
 BUILDLINK_FILES.${RUBY_BASE}+=		lib/libruby${RUBY_VER}.*
 BUILDLINK_FILES.${RUBY_BASE}+=	lib/ruby/${RUBY_VER_DIR}/${RUBY_ARCH}/*.h
Index: ./lang/spidermonkey/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/spidermonkey/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/spidermonkey/buildlink3.mk	5 Feb 2006 23:09:51 -0000	1.2
+++ ./lang/spidermonkey/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	spidermonkey
 
 .if !empty(SPIDERMONKEY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.spidermonkey+=	spidermonkey>=1.5
-BUILDLINK_RECOMMENDED.spidermonkey?=	spidermonkey>=1.5nb1
+BUILDLINK_API_DEPENDS.spidermonkey+=	spidermonkey>=1.5
+BUILDLINK_ABI_DEPENDS.spidermonkey?=	spidermonkey>=1.5nb1
 BUILDLINK_PKGSRCDIR.spidermonkey?=	../../lang/spidermonkey
 .endif	# SPIDERMONKEY_BUILDLINK3_MK
 
Index: ./lang/sun-jdk13/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/sun-jdk13/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/sun-jdk13/buildlink3.mk	5 Feb 2006 23:09:52 -0000	1.3
+++ ./lang/sun-jdk13/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,8 +12,8 @@
 
 .if !empty(SUN_JDK13_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.sun-jdk13+=	sun-jdk13-[0-9]*
-BUILDLINK_RECOMMENDED.sun-jdk13?=	sun-jdk13>=1.0.17nb1
+BUILDLINK_API_DEPENDS.sun-jdk13+=	sun-jdk13-[0-9]*
+BUILDLINK_ABI_DEPENDS.sun-jdk13?=	sun-jdk13>=1.0.17nb1
 BUILDLINK_PKGSRCDIR.sun-jdk13?=	../../lang/sun-jdk13
 BUILDLINK_DEPMETHOD.sun-jdk13?= build
 
Index: ./lang/sun-jdk14/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/sun-jdk14/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./lang/sun-jdk14/buildlink3.mk	7 Mar 2006 04:39:19 -0000	1.5
+++ ./lang/sun-jdk14/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,8 +12,8 @@
 
 .if !empty(SUN_JDK14_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.sun-jdk14+=	sun-jdk14-[0-9]*
-BUILDLINK_RECOMMENDED.sun-jdk14?=	sun-jdk14>=2.11
+BUILDLINK_API_DEPENDS.sun-jdk14+=	sun-jdk14-[0-9]*
+BUILDLINK_ABI_DEPENDS.sun-jdk14?=	sun-jdk14>=2.11
 BUILDLINK_PKGSRCDIR.sun-jdk14?=	../../lang/sun-jdk14
 BUILDLINK_DEPMETHOD.sun-jdk14?= build
 
Index: ./lang/sun-jdk15/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/sun-jdk15/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/sun-jdk15/buildlink3.mk	5 Feb 2006 23:09:52 -0000	1.2
+++ ./lang/sun-jdk15/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -12,8 +12,8 @@
 
 .if !empty(SUN_JDK15_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.sun-jdk15+=	sun-jdk15-[0-9]*
-BUILDLINK_RECOMMENDED.sun-jdk15?=	sun-jdk15>=5.0.6nb1
+BUILDLINK_API_DEPENDS.sun-jdk15+=	sun-jdk15-[0-9]*
+BUILDLINK_ABI_DEPENDS.sun-jdk15?=	sun-jdk15>=5.0.6nb1
 BUILDLINK_PKGSRCDIR.sun-jdk15?=	../../lang/sun-jdk15
 BUILDLINK_DEPMETHOD.sun-jdk15?= build
 
Index: ./lang/sun-jre13/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/sun-jre13/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/sun-jre13/buildlink3.mk	5 Feb 2006 23:09:52 -0000	1.3
+++ ./lang/sun-jre13/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sun-jre13
 
 .if !empty(SUN_JRE13_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sun-jre13+=		sun-jre13-[0-9]*
-BUILDLINK_RECOMMENDED.sun-jre13?=		sun-jre13>=1.0.17nb1
+BUILDLINK_API_DEPENDS.sun-jre13+=		sun-jre13-[0-9]*
+BUILDLINK_ABI_DEPENDS.sun-jre13?=		sun-jre13>=1.0.17nb1
 BUILDLINK_PKGSRCDIR.sun-jre13?=		../../lang/sun-jre13
 BUILDLINK_JAVA_PREFIX.sun-jre13=	${PREFIX}/java/sun-1.3
 .endif	# SUN_JRE13_BUILDLINK3_MK
Index: ./lang/sun-jre14/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/sun-jre14/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./lang/sun-jre14/buildlink3.mk	7 Mar 2006 04:36:21 -0000	1.4
+++ ./lang/sun-jre14/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sun-jre14
 
 .if !empty(SUN_JRE14_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sun-jre14+=		sun-jre14-[0-9]*
-BUILDLINK_RECOMMENDED.sun-jre14?=	sun-jre14>=2.11
+BUILDLINK_API_DEPENDS.sun-jre14+=		sun-jre14-[0-9]*
+BUILDLINK_ABI_DEPENDS.sun-jre14?=	sun-jre14>=2.11
 BUILDLINK_PKGSRCDIR.sun-jre14?=		../../lang/sun-jre14
 BUILDLINK_JAVA_PREFIX.sun-jre14=	${PREFIX}/java/sun-1.4
 .endif	# SUN_JRE14_BUILDLINK3_MK
Index: ./lang/sun-jre15/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/sun-jre15/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/sun-jre15/buildlink3.mk	5 Feb 2006 23:09:52 -0000	1.3
+++ ./lang/sun-jre15/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sun-jre15
 
 .if !empty(SUN_JRE15_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sun-jre15+=		sun-jre15-[0-9]*
-BUILDLINK_RECOMMENDED.sun-jre15?=		sun-jre15>=5.0.6nb2
+BUILDLINK_API_DEPENDS.sun-jre15+=		sun-jre15-[0-9]*
+BUILDLINK_ABI_DEPENDS.sun-jre15?=		sun-jre15>=5.0.6nb2
 BUILDLINK_PKGSRCDIR.sun-jre15?=		../../lang/sun-jre15
 BUILDLINK_JAVA_PREFIX.sun-jre15=	${PREFIX}/java/sun-1.5
 .endif	# SUN_JRE15_BUILDLINK3_MK
Index: ./lang/tcl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./lang/tcl/buildlink3.mk	25 Nov 2004 22:55:54 -0000	1.15
+++ ./lang/tcl/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl
 
 .if !empty(TCL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl+=		tcl>=8.4.6nb1
-BUILDLINK_RECOMMENDED.tcl+=	tcl>=8.4.7nb1
+BUILDLINK_API_DEPENDS.tcl+=		tcl>=8.4.6nb1
+BUILDLINK_ABI_DEPENDS.tcl+=	tcl>=8.4.7nb1
 BUILDLINK_PKGSRCDIR.tcl?=	../../lang/tcl
 
 BUILDLINK_FILES.tcl=	bin/tclsh*
Index: ./lang/swi-prolog-lite/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/swi-prolog-lite/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./lang/swi-prolog-lite/buildlink3.mk	20 May 2004 11:09:17 -0000	1.1.1.1
+++ ./lang/swi-prolog-lite/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	swi-prolog-lite
 
 .if !empty(SWI_PROLOG_LITE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.swi-prolog-lite+=	swi-prolog-lite>=5.2.9
+BUILDLINK_API_DEPENDS.swi-prolog-lite+=	swi-prolog-lite>=5.2.9
 BUILDLINK_PKGSRCDIR.swi-prolog-lite?=	../../lang/swi-prolog-lite
 .endif	# SWI_PROLOG_LITE_BUILDLINK3_MK
 
Index: ./lang/tcl-expect/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl-expect/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/tcl-expect/buildlink3.mk	3 Oct 2004 00:15:03 -0000	1.3
+++ ./lang/tcl-expect/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-expect
 
 .if !empty(TCL_EXPECT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-expect+=	tcl-expect>=5.38.0nb1
-BUILDLINK_RECOMMENDED.tcl-expect+=	tcl-expect>=5.38.0nb2
+BUILDLINK_API_DEPENDS.tcl-expect+=	tcl-expect>=5.38.0nb1
+BUILDLINK_ABI_DEPENDS.tcl-expect+=	tcl-expect>=5.38.0nb2
 BUILDLINK_PKGSRCDIR.tcl-expect?=	../../lang/tcl-expect
 .endif	# TCL_EXPECT_BUILDLINK3_MK
 
Index: ./lang/tcl-itcl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl-itcl/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./lang/tcl-itcl/buildlink3.mk	5 Feb 2006 23:09:52 -0000	1.4
+++ ./lang/tcl-itcl/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-itcl
 
 .if !empty(TCL_ITCL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-itcl+=	tcl-itcl>=3.2.1
-BUILDLINK_RECOMMENDED.tcl-itcl?=	tcl-itcl>=3.2.1nb1
+BUILDLINK_API_DEPENDS.tcl-itcl+=	tcl-itcl>=3.2.1
+BUILDLINK_ABI_DEPENDS.tcl-itcl?=	tcl-itcl>=3.2.1nb1
 BUILDLINK_PKGSRCDIR.tcl-itcl?=	../../lang/tcl-itcl
 .endif	# TCL_ITCL_BUILDLINK3_MK
 
Index: ./lang/tcl-itcl-current/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl-itcl-current/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./lang/tcl-itcl-current/buildlink3.mk	15 Feb 2006 22:02:56 -0000	1.4
+++ ./lang/tcl-itcl-current/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-itcl-current
 
 .if !empty(TCL_ITCL_CURRENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-itcl-current+=		tcl-itcl-current>=20040920
-BUILDLINK_RECOMMENDED.tcl-itcl-current?=	tcl-itcl-current>=20040920nb4
+BUILDLINK_API_DEPENDS.tcl-itcl-current+=		tcl-itcl-current>=20040920
+BUILDLINK_ABI_DEPENDS.tcl-itcl-current?=	tcl-itcl-current>=20040920nb4
 BUILDLINK_PKGSRCDIR.tcl-itcl-current?=		../../lang/tcl-itcl-current
 
 BUILDLINK_TRANSFORM+=	l:itcl:itcl33
Index: ./lang/tcl-otcl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl-otcl/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./lang/tcl-otcl/buildlink3.mk	5 Feb 2006 23:09:52 -0000	1.3
+++ ./lang/tcl-otcl/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-otcl
 
 .if !empty(TCL_OTCL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-otcl+=	tcl-otcl>=1.8
-BUILDLINK_RECOMMENDED.tcl-otcl?=	tcl-otcl>=1.11nb1
+BUILDLINK_API_DEPENDS.tcl-otcl+=	tcl-otcl>=1.8
+BUILDLINK_ABI_DEPENDS.tcl-otcl?=	tcl-otcl>=1.11nb1
 BUILDLINK_PKGSRCDIR.tcl-otcl?=	../../lang/tcl-otcl
 .endif	# TCL_OTCL_BUILDLINK3_MK
 
Index: ./lang/tcl-tclX/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl-tclX/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- ./lang/tcl-tclX/Makefile	26 Feb 2006 21:11:28 -0000	1.33
+++ ./lang/tcl-tclX/Makefile	4 Apr 2006 06:26:54 -0000
@@ -14,7 +14,7 @@
 .include "../../lang/tcl/Makefile.version"
 
 CONFLICTS+=		tclX-[0-9]*
-BUILDLINK_DEPENDS.tcl+=	tcl>=8.4.7
+BUILDLINK_API_DEPENDS.tcl+=	tcl>=8.4.7
 
 PKG_INSTALLATION_TYPES=	overwrite pkgviews
 
Index: ./lang/tcl-tclX/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl-tclX/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/tcl-tclX/buildlink3.mk	5 Feb 2006 23:09:53 -0000	1.2
+++ ./lang/tcl-tclX/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-tclX
 
 .if !empty(TCL_TCLX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-tclX+=	tcl-tclX>=8.3.5
-BUILDLINK_RECOMMENDED.tcl-tclX?=	tcl-tclX>=8.3.5nb3
+BUILDLINK_API_DEPENDS.tcl-tclX+=	tcl-tclX>=8.3.5
+BUILDLINK_ABI_DEPENDS.tcl-tclX?=	tcl-tclX>=8.3.5nb3
 BUILDLINK_PKGSRCDIR.tcl-tclX?=	../../lang/tcl-tclX
 .endif	# TCL_TCLX_BUILDLINK3_MK
 
Index: ./lang/tcl83/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/tcl83/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./lang/tcl83/buildlink3.mk	24 Apr 2004 22:41:20 -0000	1.2
+++ ./lang/tcl83/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	tcl
 
 .if !empty(TCL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl+=		tcl-8.3.4*
+BUILDLINK_API_DEPENDS.tcl+=		tcl-8.3.4*
 BUILDLINK_PKGSRCDIR.tcl?=	../../lang/tcl83
 
 BUILDLINK_FILES.tcl=	bin/tclsh*
Index: ./lang/win32-jdk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/lang/win32-jdk/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./lang/win32-jdk/buildlink3.mk	11 Oct 2004 13:37:10 -0000	1.1.1.1
+++ ./lang/win32-jdk/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	win32-jdk
 
 .if !empty(WIN32_JDK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.win32-jdk+=	win32-jre>=0.1
+BUILDLINK_API_DEPENDS.win32-jdk+=	win32-jre>=0.1
 BUILDLINK_PKGSRCDIR.win32-jdk?=	../../lang/win32-jre
 .endif	# WIN32_JDK_BUILDLINK3_MK
 
Index: ./mail/Pantomime/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/Pantomime/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./mail/Pantomime/buildlink3.mk	12 Mar 2006 14:38:25 -0000	1.4
+++ ./mail/Pantomime/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Pantomime
 
 .if !empty(PANTOMIME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Pantomime+=	Pantomime>=1.1.2
-BUILDLINK_RECOMMENDED.Pantomime+=	Pantomime>=1.1.2nb3
+BUILDLINK_API_DEPENDS.Pantomime+=	Pantomime>=1.1.2
+BUILDLINK_ABI_DEPENDS.Pantomime+=	Pantomime>=1.1.2nb3
 BUILDLINK_PKGSRCDIR.Pantomime?=	../../mail/Pantomime
 
 .include "../../devel/gnustep-make/gnustep.mk"
Index: ./mail/balsa2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/balsa2/Makefile,v
retrieving revision 1.52
diff -u -r1.52 Makefile
--- ./mail/balsa2/Makefile	21 Mar 2006 06:00:46 -0000	1.52
+++ ./mail/balsa2/Makefile	4 Apr 2006 06:26:54 -0000
@@ -38,7 +38,7 @@
 BUILDLINK_TRANSFORM+=		rm:-DGNOME_VFS_DISABLE_DEPRECATED
 BUILDLINK_TRANSFORM+=		rm:-DGTK_DISABLE_DEPRECATED
 
-BUILDLINK_DEPENDS.gmime+=	gmime>=2.1.9
+BUILDLINK_API_DEPENDS.gmime+=	gmime>=2.1.9
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/glib2/buildlink3.mk"
Index: ./mail/clamav/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/clamav/Makefile,v
retrieving revision 1.54
diff -u -r1.54 Makefile
--- ./mail/clamav/Makefile	14 Mar 2006 01:14:29 -0000	1.54
+++ ./mail/clamav/Makefile	4 Apr 2006 06:26:54 -0000
@@ -76,7 +76,7 @@
 .if !empty(PKG_OPTIONS:Mcurl)
 .  include "../../www/curl/buildlink3.mk"
 CONFIGURE_ARGS+=	--with-libcurl
-BUILDLINK_DEPENDS.curl+=curl>=7.10.0
+BUILDLINK_API_DEPENDS.curl+=curl>=7.10.0
 .else
 CONFIGURE_ARGS+=	--without-libcurl
 .endif
Index: ./mail/clamav/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/clamav/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./mail/clamav/buildlink3.mk	5 Feb 2006 23:09:53 -0000	1.8
+++ ./mail/clamav/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	clamav
 
 .if !empty(CLAMAV_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.clamav+=	clamav>=0.60nb1
-BUILDLINK_RECOMMENDED.clamav+=	clamav>=0.88nb1
+BUILDLINK_API_DEPENDS.clamav+=	clamav>=0.60nb1
+BUILDLINK_ABI_DEPENDS.clamav+=	clamav>=0.88nb1
 BUILDLINK_PKGSRCDIR.clamav?=	../../mail/clamav
 .endif	# CLAMAV_BUILDLINK3_MK
 
Index: ./mail/dk-milter/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/dk-milter/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- ./mail/dk-milter/Makefile	22 Mar 2006 22:50:32 -0000	1.6
+++ ./mail/dk-milter/Makefile	4 Apr 2006 06:26:54 -0000
@@ -9,7 +9,7 @@
 HOMEPAGE=	http://sendmail.net/dk-milter/
 COMMENT=	Open source implementation of DomainKeys for sendmail
 
-BUILDLINK_DEPENDS.libmilter+=	libmilter>=8.13.0
+BUILDLINK_API_DEPENDS.libmilter+=	libmilter>=8.13.0
 
 LICENSE=		no-profit
 MAKE_ENV+=		M4=${M4:Q}
Index: ./mail/dkim-milter/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/dkim-milter/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- ./mail/dkim-milter/Makefile	8 Jan 2006 18:20:30 -0000	1.4
+++ ./mail/dkim-milter/Makefile	4 Apr 2006 06:26:54 -0000
@@ -8,7 +8,7 @@
 HOMEPAGE=	http://sourceforge.net/projects/dkim-milter/
 COMMENT=	Open source DKIM filter software from Sendmail, Inc
 
-BUILDLINK_DEPENDS.libmilter+=	libmilter>=8.13.0
+BUILDLINK_API_DEPENDS.libmilter+=	libmilter>=8.13.0
 
 LICENSE=		no-profit
 MAKE_ENV+=		M4=${M4:Q}
Index: ./mail/drac/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/drac/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./mail/drac/buildlink3.mk	25 Apr 2004 01:06:29 -0000	1.2
+++ ./mail/drac/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	drac
 
 .if !empty(DRAC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.drac+=	drac>=1.10
+BUILDLINK_API_DEPENDS.drac+=	drac>=1.10
 BUILDLINK_PKGSRCDIR.drac?=	../../mail/drac
 BUILDLINK_DEPMETHOD.drac?=	build
 .endif	# DRAC_BUILDLINK3_MK
Index: ./mail/evolution/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/evolution/Makefile,v
retrieving revision 1.102
diff -u -r1.102 Makefile
--- ./mail/evolution/Makefile	21 Mar 2006 06:00:46 -0000	1.102
+++ ./mail/evolution/Makefile	4 Apr 2006 06:26:54 -0000
@@ -83,7 +83,7 @@
 # add rpath flags to the dependency_libs, but there is an strange comment
 # in the wrapper saying that it shouldn't.
 LDFLAGS+=		${COMPILER_RPATH_FLAG}${BUILDLINK_PREFIX.nss}/lib/nss
-BUILDLINK_DEPENDS.nss+=		nss>=3.9.2nb3
+BUILDLINK_API_DEPENDS.nss+=		nss>=3.9.2nb3
 .  include "../../devel/nss/buildlink3.mk"
 
 CPPFLAGS+=		-I${BUILDLINK_PREFIX.nss}/include/nss/nss
@@ -108,9 +108,9 @@
 BUILDLINK_TRANSFORM+=	rm:-DG_DISABLE_DEPRECATED
 BUILDLINK_TRANSFORM+=	rm:-DGTK_DISABLE_DEPRECATED
 
-BUILDLINK_DEPENDS.evolution-data-server+=	evolution-data-server>=1.4.1
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.4.0nb2
-BUILDLINK_DEPENDS.libsoup-devel+=		libsoup-devel>=2.2.3
+BUILDLINK_API_DEPENDS.evolution-data-server+=	evolution-data-server>=1.4.1
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.4.0nb2
+BUILDLINK_API_DEPENDS.libsoup-devel+=		libsoup-devel>=2.2.3
 
 .if !exists(/usr/include/semaphore.h)
 LDFLAGS+=	-lsemaphore
Index: ./mail/evolution/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/evolution/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./mail/evolution/buildlink3.mk	5 Feb 2006 23:09:54 -0000	1.8
+++ ./mail/evolution/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	evolution
 
 .if !empty(EVOLUTION_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.evolution+=	evolution>=2.4.1nb3
-BUILDLINK_RECOMMENDED.evolution?=	evolution>=2.4.1nb6
+BUILDLINK_API_DEPENDS.evolution+=	evolution>=2.4.1nb3
+BUILDLINK_ABI_DEPENDS.evolution?=	evolution>=2.4.1nb6
 BUILDLINK_PKGSRCDIR.evolution?=	../../mail/evolution
 .endif	# EVOLUTION_BUILDLINK3_MK
 
Index: ./mail/evolution-data-server/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/evolution-data-server/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- ./mail/evolution-data-server/Makefile	6 Mar 2006 00:18:12 -0000	1.34
+++ ./mail/evolution-data-server/Makefile	4 Apr 2006 06:26:54 -0000
@@ -14,7 +14,7 @@
 BUILD_USES_MSGFMT=	yes
 USE_MSGFMT_PLURALS=	yes
 
-BUILDLINK_DEPENDS.libsoup-devel+=	libsoup-devel>=2.2.3
+BUILDLINK_API_DEPENDS.libsoup-devel+=	libsoup-devel>=2.2.3
 
 GNU_CONFIGURE=		YES
 USE_DIRS+=		xdg-1.1
Index: ./mail/evolution-data-server/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/evolution-data-server/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./mail/evolution-data-server/buildlink3.mk	5 Feb 2006 23:09:54 -0000	1.14
+++ ./mail/evolution-data-server/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	evolution-data-server
 
 .if !empty(EVOLUTION_DATA_SERVER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.evolution-data-server+=	evolution-data-server>=1.4.2.1nb1
-BUILDLINK_RECOMMENDED.evolution-data-server?=	evolution-data-server>=1.4.2.1nb3
+BUILDLINK_API_DEPENDS.evolution-data-server+=	evolution-data-server>=1.4.2.1nb1
+BUILDLINK_ABI_DEPENDS.evolution-data-server?=	evolution-data-server>=1.4.2.1nb3
 BUILDLINK_PKGSRCDIR.evolution-data-server?=	../../mail/evolution-data-server
 .endif	# EVOLUTION_DATA_SERVER_BUILDLINK3_MK
 
Index: ./mail/evolution14/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/evolution14/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./mail/evolution14/Makefile	21 Mar 2006 06:00:46 -0000	1.21
+++ ./mail/evolution14/Makefile	4 Apr 2006 06:26:54 -0000
@@ -17,12 +17,12 @@
 DEPENDS+=		psmisc-[0-9]*:../../sysutils/psmisc
 BUILD_USES_MSGFMT=	YES
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.4.0nb2
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.4.0nb2
 
 # Using a wildcard here doesn't make sense because the version number of
 # "db3" is hardcoded in the "configure" script and some source modules
 # to make sure locally stored mails remain in the same format!
-BUILDLINK_DEPENDS.db3=		db3-3.11.2{,nb*}
+BUILDLINK_API_DEPENDS.db3=		db3-3.11.2{,nb*}
 
 .include "options.mk"
 
Index: ./mail/faces/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/faces/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./mail/faces/buildlink3.mk	5 Feb 2006 23:09:54 -0000	1.4
+++ ./mail/faces/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	faces
 
 .if !empty(FACES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.faces+=	faces>=1.6.1nb1
-BUILDLINK_RECOMMENDED.faces+=	faces>=1.6.1nb4
+BUILDLINK_API_DEPENDS.faces+=	faces>=1.6.1nb1
+BUILDLINK_ABI_DEPENDS.faces+=	faces>=1.6.1nb4
 BUILDLINK_PKGSRCDIR.faces?=	../../mail/faces
 .endif	# FACES_BUILDLINK3_MK
 
Index: ./mail/gmime/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/gmime/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./mail/gmime/buildlink3.mk	5 Feb 2006 23:09:55 -0000	1.6
+++ ./mail/gmime/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gmime
 
 .if !empty(GMIME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gmime+=	gmime>=2.1.7
-BUILDLINK_RECOMMENDED.gmime+=	gmime>=2.1.9nb1
+BUILDLINK_API_DEPENDS.gmime+=	gmime>=2.1.7
+BUILDLINK_ABI_DEPENDS.gmime+=	gmime>=2.1.9nb1
 BUILDLINK_PKGSRCDIR.gmime?=	../../mail/gmime
 .endif	# GMIME_BUILDLINK3_MK
 
Index: ./mail/imap-uw/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/imap-uw/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./mail/imap-uw/buildlink3.mk	5 Oct 2005 15:49:44 -0000	1.5
+++ ./mail/imap-uw/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	imap-uw
 
 .if !empty(IMAP_UW_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.imap-uw+=	imap-uw>=2004
-BUILDLINK_RECOMMENDED.imap-uw+=	imap-uw>=2004enb1
+BUILDLINK_API_DEPENDS.imap-uw+=	imap-uw>=2004
+BUILDLINK_ABI_DEPENDS.imap-uw+=	imap-uw>=2004enb1
 BUILDLINK_PKGSRCDIR.imap-uw?=	../../mail/imap-uw
 #
 # Make "-limapuw" resolve into "-lc-client".
Index: ./mail/imap-uw-utils/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/imap-uw-utils/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- ./mail/imap-uw-utils/Makefile	4 Mar 2006 21:30:00 -0000	1.23
+++ ./mail/imap-uw-utils/Makefile	4 Apr 2006 06:26:54 -0000
@@ -12,7 +12,7 @@
 
 DIST_SUBDIR=	${PKGNAME_NOREV}
 
-BUILDLINK_DEPENDS.imap-uw+=	imap-uw>=2004c1nb1
+BUILDLINK_API_DEPENDS.imap-uw+=	imap-uw>=2004c1nb1
 
 SRCDIRS=	icat ifrom
 
Index: ./mail/libesmtp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libesmtp/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./mail/libesmtp/buildlink3.mk	5 Feb 2006 23:09:55 -0000	1.7
+++ ./mail/libesmtp/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libesmtp
 
 .if !empty(LIBESMTP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libesmtp+=	libesmtp>=1.0rc1nb1
-BUILDLINK_RECOMMENDED.libesmtp?=	libesmtp>=1.0.3nb2
+BUILDLINK_API_DEPENDS.libesmtp+=	libesmtp>=1.0rc1nb1
+BUILDLINK_ABI_DEPENDS.libesmtp?=	libesmtp>=1.0.3nb2
 BUILDLINK_PKGSRCDIR.libesmtp?=	../../mail/libesmtp
 
 LIBESMTP=	-lesmtp
Index: ./mail/libetpan/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libetpan/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./mail/libetpan/buildlink3.mk	8 Mar 2006 06:33:31 -0000	1.6
+++ ./mail/libetpan/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libetpan
 
 .if !empty(LIBETPAN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libetpan+=	libetpan>=0.38nb1
-BUILDLINK_RECOMMENDED.libetpan?=	libetpan>=0.43
+BUILDLINK_API_DEPENDS.libetpan+=	libetpan>=0.38nb1
+BUILDLINK_ABI_DEPENDS.libetpan?=	libetpan>=0.43
 BUILDLINK_PKGSRCDIR.libetpan?=	../../mail/libetpan
 .endif	# LIBETPAN_BUILDLINK3_MK
 
Index: ./mail/libmilter/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libmilter/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./mail/libmilter/buildlink3.mk	30 Aug 2004 20:26:18 -0000	1.2
+++ ./mail/libmilter/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libmilter
 
 .if !empty(LIBMILTER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmilter+=	libmilter>=8.13.1
+BUILDLINK_API_DEPENDS.libmilter+=	libmilter>=8.13.1
 BUILDLINK_PKGSRCDIR.libmilter?=	../../mail/libmilter
 BUILDLINK_DEPMETHOD.libmilter?=	build
 
Index: ./mail/libmilter/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libmilter/builtin.mk,v
retrieving revision 1.3
diff -u -r1.3 builtin.mk
--- ./mail/libmilter/builtin.mk	1 Jun 2005 18:02:59 -0000	1.3
+++ ./mail/libmilter/builtin.mk	4 Apr 2006 06:26:54 -0000
@@ -33,7 +33,7 @@
 .    if defined(BUILTIN_PKG.libmilter) && \
         !empty(IS_BUILTIN.libmilter:M[yY][eE][sS])
 USE_BUILTIN.libmilter=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.libmilter}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.libmilter}
 .        if !empty(USE_BUILTIN.libmilter:M[yY][eE][sS])
 USE_BUILTIN.libmilter!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.libmilter:Q}; then \
Index: ./mail/libmilter812/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libmilter812/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./mail/libmilter812/buildlink3.mk	30 Aug 2004 20:53:20 -0000	1.1.1.1
+++ ./mail/libmilter812/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libmilter
 
 .if !empty(LIBMILTER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmilter+=	libmilter>=8.12.9nb1
+BUILDLINK_API_DEPENDS.libmilter+=	libmilter>=8.12.9nb1
 BUILDLINK_PKGSRCDIR.libmilter?=	../../mail/libmilter812
 BUILDLINK_DEPMETHOD.libmilter?=	build
 
Index: ./mail/libmilter812/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mail/libmilter812/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- ./mail/libmilter812/builtin.mk	1 Jun 2005 18:02:59 -0000	1.2
+++ ./mail/libmilter812/builtin.mk	4 Apr 2006 06:26:54 -0000
@@ -33,7 +33,7 @@
 .    if defined(BUILTIN_PKG.libmilter) && \
         !empty(IS_BUILTIN.libmilter:M[yY][eE][sS])
 USE_BUILTIN.libmilter=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.libmilter}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.libmilter}
 .        if !empty(USE_BUILTIN.libmilter:M[yY][eE][sS])
 USE_BUILTIN.libmilter!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.libmilter:Q}; then \
